Mental Health Education & Resource Centre

Webinar | Free Youth Programme - Boundaries for Yourself and Your Organisation

PLEASE NOTE: THIS WEBINAR IS ONLY OFFERED TO PARTICIPANTS OUTSIDE THE GREATER CHRISTCHURCH AREA

It is a live feed of the course being delivered here at MHERC on the day, with in-room participants and facilitator. Registering here will allow you to be a part of the learning experience, viewing the facilitator and powerpoint presentation via your own device, in the comfort and location of your choice.

Description

Course Type: Introductory | Course Level: Four

MHERC and the Todd Foundation have developed this series of free workshops to support those who work with youth.   These workshops aim to enhance your knowledge, practice and skills, providing you with tools to improve youth mental health

AIM
In this course we will identify the importance of professional boundaries and safe practice in regard to ethical dilemmas using an ethical dilemma solving framework, You will learn how to apply strategies and protocols to reach safe conclusions.

Free Courses
Although there is no cost for you to attend these courses, you will be charged $47.50 for non-attendance. You have been provided with a limited opportunity to upskill and if you do not show up you take this opportunity away from others who may have wished to attend but were unable to as the course was full.  Please contact us if you are unable to attend at least 48 hours before the workshop so we may make your space available to others. Thank you for your understanding.

Terms and Conditions

Prerequisites

You will need:

• Headset and Microphone 
• Built-in laptop camera or attachable webcam device (for laptop or PC)
• Stable broadband connection 


Minimum System Requirements:
As a guide, if you are able to Skype or watch online videos (eg: YouTube) from your device, your system requirements should be capable. 

Operating System:
Windows 7 and above
Mac OS X 10.6 and above

Browsers:
Internet Explorer 7 and above
Firefox - latest version
Chrome - latest version
Safari - 5 and above